clan::SoundFilter Class Reference - ClanLib SDK
Description: clan::SoundFilter Class Reference

Public Member Functions | Public Attributes | List of all members
clan::SoundFilter Class Reference
clanSound Audio Mixing

Sound Filter Class. More...

`#include <soundfilter.h>`

Inheritance diagram for clan::SoundFilter:

## Public Member Functions
| SoundFilter ()
| Constructs a NULL instance.
| SoundFilter (SoundFilterProvider *provider)
| Constructs a sound filter.
| ~SoundFilter ()
void | filter (float **sample_data, int num_samples, int channels)
| Filter callback.
SoundFilterProvider * | get_provider () const
| Retrieves the provider.
bool | is_null () const
| Returns true if this object is invalid.
bool | operator!= (const SoundFilter &other) const
| Inequality operator.
bool | operator== (const SoundFilter &other) const
| Equality operator.
void | throw_if_null () const
| Throw an exception if this object is invalid.

## Public Attributes
std::shared_ptr< SoundFilter_Impl > | impl

## Detailed Description

Sound Filter Class.

## Constructor & Destructor Documentation

## ◆ SoundFilter() [1/2]

clan::SoundFilter::SoundFilter | ( |  | ) |
| inline

Constructs a NULL instance.

## ◆ SoundFilter() [2/2]

clan::SoundFilter::SoundFilter | ( | SoundFilterProvider * | provider | ) |

Constructs a sound filter.

Parameters

  provider | = The provider

## ◆ ~SoundFilter()

clan::SoundFilter::~SoundFilter | ( |  | ) |

## Member Function Documentation

## ◆ filter()

void clan::SoundFilter::filter | ( | float ** | sample_data,
|  | int | num_samples,
|  | int | channels )

Filter callback.

All sound data is passed through this function, which modifies the sample data accordingly to the function of the filter.

The format of the sample data is always 16 bit stereo.

## ◆ get_provider()

SoundFilterProvider * clan::SoundFilter::get_provider | ( |  | ) | const

Retrieves the provider.

## ◆ is_null()

bool clan::SoundFilter::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

References impl.

## ◆ operator!=()

bool clan::SoundFilter::operator!= | ( | const SoundFilter & | other | ) | const
| inline

Inequality operator.

References impl.

## ◆ operator==()

bool clan::SoundFilter::operator== | ( | const SoundFilter & | other | ) | const
| inline

Equality operator.

References impl.

## ◆ throw_if_null()

void clan::SoundFilter::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

## Member Data Documentation

## ◆ impl

std::shared_ptr<SoundFilter_Impl> clan::SoundFilter::impl

Referenced by is_null(), operator!=(), and operator==().

The documentation for this class was generated from the following file:

- soundfilter.h